/*
 * Copyright (c) 2010-2011, The MiCode Open Source Community (www.micode.net)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package net.micode.notes.tool;

public class GTaskStringUtils {

    public final static String GTASK_JSON_ACTION_ID = "action_id";//定义字符串常量，在类的外部直接访问，表示"action_id"的字符串键名

    public final static String GTASK_JSON_ACTION_LIST = "action_list";//定义字符串常量，在类的外部直接访问，表示"action_list的字符串键名

    public final static String GTASK_JSON_ACTION_TYPE = "action_type";//定义字符串常量，在类的外部直接访问，表示action_type的字符串键名

    public final static String GTASK_JSON_ACTION_TYPE_CREATE = "create";//定义字符串常量，在类的外部直接访问，表示create的字符串键名

    public final static String GTASK_JSON_ACTION_TYPE_GETALL = "get_all";//定义字符串常量，在类的外部直接访问，表示get_all的字符串键名

    public final static String GTASK_JSON_ACTION_TYPE_MOVE = "move";//定义字符串常量，在类的外部直接访问，表示"move的字符串键名

    public final static String GTASK_JSON_ACTION_TYPE_UPDATE = "update";//定义字符串常量，在类的外部直接访问，表示update的字符串键名

    public final static String GTASK_JSON_CREATOR_ID = "creator_id";//定义字符串常量，在类的外部直接访问，表示creator_id的字符串键名

    public final static String GTASK_JSON_CHILD_ENTITY = "child_entity";//定义字符串常量，在类的外部直接访问，表示child_entity的字符串键名

    public final static String GTASK_JSON_CLIENT_VERSION = "client_version";//定义字符串常量，在类的外部直接访问，表示client_version的字符串键名

    public final static String GTASK_JSON_COMPLETED = "completed";//定义字符串常量，在类的外部直接访问，表示completed的字符串键名

    public final static String GTASK_JSON_CURRENT_LIST_ID = "current_list_id";
    //定义字符串常量，在类的外部直接访问，表示current_list_id的字符串键名
    public final static String GTASK_JSON_DEFAULT_LIST_ID = "default_list_id";//定义字符串常量，在类的外部直接访问，表示default_list_id的字符串键名

    public final static String GTASK_JSON_DELETED = "deleted";//定义字符串常量，在类的外部直接访问，表示deleted的字符串键名

    public final static String GTASK_JSON_DEST_LIST = "dest_list";//定义字符串常量，在类的外部直接访问，表示dest_list的字符串键名

    public final static String GTASK_JSON_DEST_PARENT = "dest_parent";//定义字符串常量，在类的外部直接访问，表示dest_parent的字符串键名

    public final static String GTASK_JSON_DEST_PARENT_TYPE = "dest_parent_type";//定义字符串常量，在类的外部直接访问，表示dest_parent_type的字符串键名

    public final static String GTASK_JSON_ENTITY_DELTA = "entity_delta";//定义字符串常量，在类的外部直接访问，表示entity_delta的字符串键名

    public final static String GTASK_JSON_ENTITY_TYPE = "entity_type";//定义字符串常量，在类的外部直接访问，表示entity_type的字符串键名

    public final static String GTASK_JSON_GET_DELETED = "get_deleted";
    //定义字符串常量，在类的外部直接访问，表示get_deleted的字符串键名
    public final static String GTASK_JSON_ID = "id";//定义字符串常量，在类的外部直接访问，表示id的字符串键名

    public final static String GTASK_JSON_INDEX = "index";//定义字符串常量，在类的外部直接访问，表示index的字符串键名

    public final static String GTASK_JSON_LAST_MODIFIED = "last_modified";//定义字符串常量，在类的外部直接访问，表示last_modified的字符串键名

    public final static String GTASK_JSON_LATEST_SYNC_POINT = "latest_sync_point";//定义字符串常量，在类的外部直接访问，表示latest_sync_point的字符串键名

    public final static String GTASK_JSON_LIST_ID = "list_id";//定义字符串常量，在类的外部直接访问，表示list_id的字符串键名

    public final static String GTASK_JSON_LISTS = "lists";//定义字符串常量，在类的外部直接访问，表示lists的字符串键名

    public final static String GTASK_JSON_NAME = "name";//定义字符串常量，在类的外部直接访问，表示name的字符串键名

    public final static String GTASK_JSON_NEW_ID = "new_id";
    //定义字符串常量，在类的外部直接访问，表示new_id的字符串键名
    public final static String GTASK_JSON_NOTES = "notes";//定义字符串常量，在类的外部直接访问，表示notes的字符串键名

    public final static String GTASK_JSON_PARENT_ID = "parent_id";//定义字符串常量，在类的外部直接访问，表示parent_id的字符串键名

    public final static String GTASK_JSON_PRIOR_SIBLING_ID = "prior_sibling_id";//定义字符串常量，在类的外部直接访问，表示prior_sibling_id的字符串键名

    public final static String GTASK_JSON_RESULTS = "results";//定义字符串常量，在类的外部直接访问，表示results的字符串键名

    public final static String GTASK_JSON_SOURCE_LIST = "source_list";

    public final static String GTASK_JSON_TASKS = "tasks";//定义字符串常量，在类的外部直接访问，表示tasks的字符串键名

    public final static String GTASK_JSON_TYPE = "type";//定义字符串常量，在类的外部直接访问，表示type的字符串键名

    public final static String GTASK_JSON_TYPE_GROUP = "GROUP";//定义字符串常量，在类的外部直接访问，表示GROUP的字符串键名

    public final static String GTASK_JSON_TYPE_TASK = "TASK";//定义字符串常量，在类的外部直接访问，表示TASK的字符串键名

    public final static String GTASK_JSON_USER = "user";//定义字符串常量，在类的外部直接访问，表示user的字符串键名

    public final static String MIUI_FOLDER_PREFFIX = "[MIUI_Notes]";//定义字符串常量，在类的外部直接访问，表示MIUI_Notes的字符串键名

    public final static String FOLDER_DEFAULT = "Default";//定义字符串常量，在类的外部直接访问，表示Default的字符串键名

    public final static String FOLDER_CALL_NOTE = "Call_Note";//定义字符串常量，在类的外部直接访问，表示Call_Note的字符串键名

    public final static String FOLDER_META = "METADATA";//定义字符串常量，在类的外部直接访问，表示METADATA的字符串键名

    public final static String META_HEAD_GTASK_ID = "meta_gid";//定义字符串常量，在类的外部直接访问，表示meta_gid的字符串键名

    public final static String META_HEAD_NOTE = "meta_note";//定义字符串常量，在类的外部直接访问，表示meta_note的字符串键名

    public final static String META_HEAD_DATA = "meta_data";//定义字符串常量，在类的外部直接访问，表示meta_data的字符串键名

    public final static String META_NOTE_NAME = "[META INFO] DON'T UPDATE AND DELETE";//定义字符串常量，在类的外部直接访问，表示[META INFO] DON'T UPDATE AND DELETE的字符串键名

}
